# Xapian::StringValueRangeProcessor Class Reference

Handle a string range. More...

`#include <queryparser.h>`

Inheritance diagram for Xapian::StringValueRangeProcessor:

[legend]
Collaboration diagram for Xapian::StringValueRangeProcessor:

[legend]
List of all members.

## Public Member Functions

| StringValueRangeProcessor (Xapian::valueno valno_)
| Constructor.
Xapian::valueno | operator() (std::string &, std::string &)
| Any strings are valid as begin and end.

## Detailed Description

Handle a string range.

The end points can be any strings.

## Constructor & Destructor Documentation

Xapian::StringValueRangeProcessor::StringValueRangeProcessor | ( | Xapian::valueno | valno_ | ) | `[inline]`

Constructor.

Parameters:

  | valno_ | The value number to return from operator().

## Member Function Documentation

Xapian::valueno Xapian::StringValueRangeProcessor::operator() | ( | std::string & | ,
|  | std::string & |  |
| ) |  |  | `[inline, virtual]`

Any strings are valid as begin and end.

Implements Xapian::ValueRangeProcessor.

The documentation for this class was generated from the following file:

- include/xapian/queryparser.h